%define aurox_ver 11.0
%define rel 1


Name: hibernate
Version: 1.10
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: Applications/System
URL: http://dagobah.ucc.asn.au/swsusp/script2/hibernate-script-1.00.tar.gz
Source0: hibernate-script-%{version}.tar.gz
Source1: sleep.conf
Patch0: hibernate-script-0.99-no_blacklist.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: Software Suspend 2 hibernate script

%description

hibernate is a shell script that handles the process of getting ready
to suspend to disk and to resume from disk. It requires the Software
Suspend 2 patches available at http://softwaresuspend.berlios.de/
After installing you will want to run 'hibernate -h' to see available
options and modify your /etc/hibernate/hibernate.conf to set them. 

%prep
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/hibernate-%version-%release
mkdir -p ${RPM_BUILD_ROOT}/etc/acpi/events

%setup -n hibernate-script-%version
%patch0 -p1
%install
export BASE_DIR=${RPM_BUILD_ROOT}
export PREFIX=/usr
sh install.sh
cp README CHANGELOG COPYING TODO SCRIPTLET-API ${RPM_BUILD_ROOT}/usr/share/doc/hibernate-%version-%release
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/acpi/events
%clean
unset BASE_DIR
unset PREFIX
rm -rf $RPM_BUILD_ROOT
%post
service acpid restart > /dev/null 2>&1

F=/boot/grub/grub.conf
KVER=`uname -r`
SWAP=`cat /etc/fstab|grep swap|head -n1| awk '{print $1}'`
T=`cat $F|grep -e "vmlinuz-$KVER.*resume"|awk '{print $1}'`
if [ -z "$T" ]; then
    echo "Adding resume2 option to grub.conf"
    if [ -x /bin/sed ]; then
        /bin/sed -e "s|\(vmlinuz-$KVER.*\)|\1 resume2=swap:$SWAP|" < $F > $F.tmp
    mv $F.tmp $F
    fi
#else
# resume2 option is present, no action
fi

exit 0

%files
%defattr(-,root,root,-)
/usr/sbin/hibernate
/usr/share/hibernate/*
%doc
/usr/share/doc/hibernate-%version-%release/*
/usr/man/*
%config
/etc/hibernate/*
/etc/acpi/events/sleep.conf

%changelog
* Mon Aug 08 2005 Karol Kozimor <kkozimor@aurox.org> 1.10-11.0.aur.1
- 1.10.

* Thu Nov 11 2004 Aurox Team <aurox@aurox.org> 1.00-10.1.aur.1
- version 1.0.0
- change path to hibernate script in /etc/acpi/events/sleep.conf
- add patch disabling blacklist by default
- version 0.99
- grub.conf is in /boot
- add resume2=swap: to /boot/grub/grub.conf
- restart acpid after adding /etc/acpi/*/sleep.conf
- added %post (restart acpid)
- sleep.conf added
- include in Aurox 10.0

* Thu Jul 29 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.97 final version
* Sat Jul 24 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.96 final version
* Sat Jul 24 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.96-rc2 version
* Sat Jul 24 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.96-rc1 version
* Fri Jul 23 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.95.1 final version
* Wed Jul 21 2004 Kevin Fenzi <kevin@tummy.com> -
- Updated to 0.95 final version
* Fri Jul 16 2004 Kevin Fenzi <kevin@tummy.com> -
- Updated to 0.95-rc1 version
* Mon Jul 12 2004 Kevin Fenzi <kevin@tummy.com> - 
- Initial build.
